package com.engine.qdhx.service.impl;

import com.engine.qdhx.service.SalaryStrategy;

import java.math.BigDecimal;

/**
 * @Author weaver_cl
 * @Description: TODO
 * @Date 2022/2/21
 * @Version V1.0
 **/
public class AddSalaryStrategy implements SalaryStrategy {
    @Override
    public double doSalaryDiff(double ...num) {
        double sum = 0;
        for (double value : num ) {
            sum = new BigDecimal(Double.toString(sum)).add(new BigDecimal(Double.toString(value))).setScale(2, BigDecimal.ROUND_HALF_UP).doubleValue();
        }
        return sum;
    }
}
