package com.engine.qdhx.service.impl;


import com.engine.core.impl.Service;
import com.engine.qdhx.cmd.HrmSalaryDiffReportCmd;
import com.engine.qdhx.cmd.HrmSalaryDiffReportConditionCmd;
import com.engine.qdhx.cmd.HrmSalarySaveReportCmd;
import com.engine.qdhx.service.HrmSalaryDiffReportService;

import java.util.Map;

/**
 * @Author weaver_cl
 * @Description: TODO
 * @Date 2022/2/16
 * @Version V1.0
 **/
public class HrmSalaryDiffReportServiceImpl extends Service implements HrmSalaryDiffReportService {



    @Override
    public Map<String, Object> getSearchCondition(Map<String, Object> params) {
        return commandExecutor.execute(new HrmSalaryDiffReportConditionCmd(user,params));
    }

    @Override
    public Map<String, Object> getReportData(Map<String, Object> params) {
        return commandExecutor.execute(new HrmSalaryDiffReportCmd(user,params));
    }

    @Override
    public Map<? extends String, ?> saveReportData(Map<String, Object> params) {
        return commandExecutor.execute(new HrmSalarySaveReportCmd(user,params));
    }
}
