package com.engine.qdhx.service.impl;

import com.engine.qdhx.service.SalaryStrategy;

import java.math.BigDecimal;

/**
 * @Author weaver_cl
 * @Description: TODO
 * @Date 2022/2/21
 * @Version V1.0
 **/
public class SubtractionSalaryStrategy implements SalaryStrategy {

    @Override
    public double doSalaryDiff(double ...num) {
        double sum = num[0];
        for(int i = 1; i < num.length; i++) {
            sum = new BigDecimal(Double.toString(sum)).subtract(new BigDecimal(Double.toString(num[i]))).setScale(2,BigDecimal.ROUND_HALF_UP).doubleValue();
        }
        return sum;
    }
}
