package com.engine.qdhx.entity;

import com.engine.qdhx.service.SalaryStrategy;
import com.engine.qdhx.service.impl.AddSalaryStrategy;

/**
 * @Author weaver_cl
 * @Description: TODO
 * @Date 2022/2/25
 * @Version V1.0
 **/
public class Context {

    private SalaryStrategy salaryStrategy;


    public Context() {
        salaryStrategy = new AddSalaryStrategy();
    }

    public double execute(double ...num) {
        return salaryStrategy.doSalaryDiff(num);

    }

    public SalaryStrategy getSalaryStrategy() {
        return salaryStrategy;
    }

    public void setSalaryStrategy(SalaryStrategy salaryStrategy) {
        this.salaryStrategy = salaryStrategy;
    }
}
